Package: groovy.console.ui

## [Groovy] Class AstBrowserUiPreferences

- groovy.console.ui.AstBrowserUiPreferences

-     class AstBrowserUiPreferences
      extends Object

  This class sets and restores control positions in the browser.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `decompiledSourceFontSize` Saved decompiled source font size.
    `Object` | `frameLocation` Saved window location.
    `Object` | `frameSize` Saved window size.
    `Object` | `horizontalDividerLocation` Saved divider location for the main splitter.
    `CompilePhaseAdapter` | `selectedPhase` Saved compile phase selection.
    `boolean` | `showClosureClasses` Saved closure class visibility flag.
    `boolean` | `showScriptClass` Saved script class visibility flag.
    `boolean` | `showScriptFreeForm` Saved free-form script visibility flag.
    `boolean` | `showTreeView` Saved tree visibility flag.
    `Object` | `verticalDividerLocation` Saved divider location for the tree/property splitter.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AstBrowserUiPreferences()` Loads persisted browser UI preferences.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `save(Object frame, Object vSplitter, Object hSplitter, Object scriptFreeFormPref, Object scriptClassPref, Object closureClassesPref, CompilePhaseAdapter phase, Object showTreeView)` Persists the current browser UI state.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### int decompiledSourceFontSize

      Saved decompiled source font size.

    - #### final Object frameLocation

      Saved window location.

    - #### final Object frameSize

      Saved window size.

    - #### final Object horizontalDividerLocation

      Saved divider location for the main splitter.

    - #### final CompilePhaseAdapter selectedPhase

      Saved compile phase selection.

    - #### final boolean showClosureClasses

      Saved closure class visibility flag.

    - #### final boolean showScriptClass

      Saved script class visibility flag.

    - #### final boolean showScriptFreeForm

      Saved free-form script visibility flag.

    - #### final boolean showTreeView

      Saved tree visibility flag.

    - #### final Object verticalDividerLocation

      Saved divider location for the tree/property splitter.

  - ### Constructor Detail

    - #### AstBrowserUiPreferences()

      Loads persisted browser UI preferences.

  - ### Method Detail

    - #### Object save(Object frame, Object vSplitter, Object hSplitter, Object scriptFreeFormPref, Object scriptClassPref, Object closureClassesPref, CompilePhaseAdapter phase, Object showTreeView)

      Persists the current browser UI state.